Package wx :: Class TipProvider

[frames | no frames]

## Type TipProvider

    object --+
             |
            TipProvider

Known Subclasses:
  `PyTipProvider`

Proxy of C++ TipProvider class

Method Summary
| `__init__(self)`
| `__del__(self)`
size_t | `GetCurrentTip(self)`
String | `GetTip(self)`
String | `PreprocessTip(self, tip)`

Property Summary
| `CurrentTip`: See `GetCurrentTip`
| `thisown`: The membership flag
| `Tip`: See `GetTip`

Property Details

### CurrentTip

See `GetCurrentTip`

  Get Method:
    `GetCurrentTip`(self)

### thisown

The membership flag

### Tip

See `GetTip`

  Get Method:
    `GetTip`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:12 2007 | http://epydoc.sf.net